(function() {
    window.App  = window.App || {};
    App.Manager = App.Manager || {};

    App.Manager.Banners = {
        init: function() {
            this.fetchElements();
            this.bindUIEvents();
            this.validate();

            if (this.$bannerGroupId.size() === 0) {
                this.showBannerSizes(null);
            }
        },

        fetchElements: function() {
            this.$bannerGroupId  = $('#banner_group_id');
            this.$boxBannerSizes = $('.js-banner-sizes');
        },

        bindUIEvents: function() {
            var _this;
            _this = this;

            if (this.$bannerGroupId.size() > 0) {
                this.$bannerGroupId.on('change', function(e) {
                    _this.showBannerSizes($(this).val());
                });
            }
        },

        showBannerSizes: function(banner_group_id) {
            var _this;
            _this = this;

            $.get('/manager/banners/sizes/' + banner_group_id, function(result) {
                _this.$boxBannerSizes.html('Largura: <strong>' + result.width + 'px</strong> - Altura: <strong>' + result.height + 'px</strong>');
            });
        },

        validate: function() {
            $('#form-banner').on('submit', function() {
                $(this).find('[data-loading-text]').button('loading');
            });
        }
    }

    App.Manager.Banners.init();
})();
