## escapework/manager-banners

Módulo de cadastramento de banners para integração com o escapework/manager.

## Instalação

Adiciona os seguintes itens no seu `composer.json` e execute um `composer update`:

```json
{
    "require": {
        "escapework/manager-banners": "0.8.*"
    },

    "repositories": [
        {
            "type": "composer",
            "url": "http://packages.escape.ppg.br"
        }
    ],
}
```

### Configurando

Adicione a linha `'EscapeWork\Manager\Banners\Providers\ManagerServiceProvider'` no array de Service Providers no arquivo `app/config/app.php`.

### Configurações

Execute o comando para executar as configurações necessárias.

```sh
$ php artisan manager:configure
```

### Grupos e tamanhos dos banners

É possível criar diferentes grupos com diferentes tamanhos de banners. Para isso, crie um seeder (ou cadastre na mão) registros nas tabelas `banner_groups` e `banner_group_sizes`.

Caso nenhum grupo seja criado, os tamanhos utilizados serão os tamanhos da configuração `app/config/packages/escapework/manager-banners/config.php`.

A melhor maneira para criar os tamanhos e manter atualizado tanto em ambiente de desenvolvimento quanto em ambiente de produção, é criar um seed:

```
class BannerGroupSeeder extends Seeder
{

    public function run()
    {
        BannerGroup::seed([
            'id'    => 1,
            'title' => 'Geral',
            'sizes' => [
                'default' => [
                    'width'  => 950,
                    'height' => 200,
                ]
            ]
        ]);
    }
}
```

Depois disso, você já poderá acessar o cadastro de banners pela URL `http://seusite/manager/banners`.
