<?php namespace EscapeWork\Manager\Banners\Extensions;

use Illuminate\Database\Eloquent\Collection;

class BannerCollection extends Collection
{

    public function getByGroup($banner_group_id)
    {
        return $this->filter(function($banner) use($banner_group_id)
        {
            return $banner->banner_group_id == $banner_group_id;
        });
    }

    public function randomByGroup($banner_group_id, $limit = null)
    {
        $banners = $this->getByGroup($banner_group_id);
        $total   = $banners->count();

        return $banners->random($limit ?: $total);
    }
}
