<?php namespace EscapeWork\Manager\Banners\Models;

use EscapeWork\LaravelHelpers\BaseModel;

class BannerGroup extends BaseModel
{

    /**
     * Tabela
     */
    protected $table = 'banner_groups';

    /**
     * Fillable fields
     */
    public $fillable = array(
        'id',
        'title',
        'created_at',
        'updated_at',
    );

    public function sizes()
    {
        return $this->hasMany('EscapeWork\Manager\Banners\Models\BannerGroupSize', 'banner_group_id');
    }

    public static function seed($data)
    {
        if (! $model = static::find($data['id'])) {
            $model = new static;
        }

        $model->fill(array_except($data, ['sizes']));
        $model->save();

        foreach ($data['sizes'] as $prefix => $size) {
            $groupSize = BannerGroupSize::where('banner_group_id', '=', $model->id)
                                            ->where('prefix', '=', $prefix)
                                            ->first();

            if (! $groupSize) {
                $groupSize = new BannerGroupSize;
            }

            $groupSize->fill(array_merge(
                $size,
                [
                    'banner_group_id' => $model->id,
                    'prefix'          => $prefix
                ]
            ));

            $groupSize->save();
        }
    }
}
