<?php namespace EscapeWork\Manager\Banners\Providers;

use Illuminate\Support\ServiceProvider;

class ManagerServiceProvider extends ServiceProvider
{

	/**
	 * Indicates if loading of the provider is deferred.
	 *
	 * @var bool
	 */
	protected $defer = false;

	/**
	 * Bootstrap the application events.
	 *
	 * @return void
	 */
	public function boot()
	{
        $this->package('escapework/manager-banners', 'manager-banners', realpath(__DIR__ . '/../../../../'));

        require_once(__DIR__ . '/../../../../routes.php');
	}

	/**
	 * Register the service provider.
	 *
	 * @return void
	 */
	public function register()
	{
        $this->registerCommands();

        $this->app['config']->set('manager::packages.manager-banners', 'manager-banners');
	}

	protected function registerCommands()
    {
        $this->app['command.manager.banners.configure'] = $this->app->share(function($app)
        {
            return $app->make('EscapeWork\Manager\Banners\Commands\ConfigureCommand');
        });

        $this->commands('command.manager.banners.configure');
    }

    public function provides()
    {
        return array('command.manager.banners.configure');
    }

}
