<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBannerGroupSizes extends Migration
{

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('banner_group_sizes', function(Blueprint $table)
		{
			$table->increments('id');
            $table->integer('banner_group_id')->unsigned();
            $table->string('prefix', 25)->default('default');
            $table->integer('width');
            $table->integer('height');
            $table->boolean('crop')->default(1);

            $table->foreign('banner_group_id')->references('id')->on('banner_groups')
                  ->onDelete('cascade')->onUpdate('cascade');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('banner_group_sizes');
	}

}
